# docker container: koel music streaming server

docker hub: https://hub.docker.com/r/fphammerle/koel/

dockerfile repo: https://git.hammerle.me/fphammerle/docker-koel

docker-compose.yml: https://git.hammerle.me/fphammerle/docker-koel/src/master/docker-compose.yml

koel project repo: https://github.com/phanan/koel

koel docs: https://koel.phanan.net/docs

```sh
$ sudo docker-compose run --service-ports web
Starting koel_db_1 ... done
+ php artisan koel:init
Attempting to install or upgrade Koel.
Remember, you can always install/upgrade manually following the guide here:
📙  https://koel.phanan.net/docs

Generating app key
Generating JWT secret
Migrating database
Let's create the admin account.

 Your name:
 > fabian peter

 Your email address:
 > admin@example.com

 Your desired password:
 >

 Again, just to make sure:
 >

Seeding initial data
The absolute path to your media directory. If this is skipped (left blank) now, you can set it later via the web interface.

 Media path []:
 >

Compiling front-end stuff
sh: 1: yarn: not found

🎆  Success! Koel can now be run from localhost with `php artisan serve`.
You can also scan for media with `php artisan koel:sync`.
Again, for more configuration guidance, refer to
📙  https://koel.phanan.net/docs
or open the .env file in the root installation folder.
Thanks for using Koel. You rock!
+ apache2-foreground
...
```

Better not use port `8081`:
```php
// /koel/app/Http/Middleware/UseDifferentConfigIfE2E.php
...
        if (array_get($_SERVER, 'SERVER_PORT') === '8081') {
            config(['database.default' => 'sqlite-e2e']);
        }
...
```
